#32/64

Name:           mp4joiner
Version:        2.1.2
Release:        %mkrel 4
Summary:        Join multiple MP4 files into one.
Group:          Video
License:        GPLv3+
URL:            http://sourceforge.net/projects/mp4joiner/files/
Source0:        http://sourceforge.net/projects/mp4joiner/files/MP4Joiner/%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}wxgtk2.8-devel
BuildRequires: %{_lib}wxgtku2.8-devel
BuildRequires: %{_lib}wxsvg-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  gpac 
#------------------------------------
Requires: ffmpeg


%description
MP4Joiner is a simple gui tool to join multiple MP4 files into one.


%prep
%setup -q
cd src
sed -i s/'return progDlg->Update(progDlg->GetValue(), msg);'/'return progDlg->Update(status, msg);'/g ProgramProcess.cpp
sed -i s/'value = progDlg->GetRange();'/'value = progDlg->Update(status, msg);'/g ProgramProcess.cpp

%build

%configure2_5x

%make


%install
rm -rf %{buildroot}
%makeinstall_std

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=MP4Joiner
Comment=Join multiple MP4 files.
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Categories=Video;X-MandrivaLinux-Multimedia-video;
EOF


#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 resources/%{name}.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog AUTHORS
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog
* Sat Nov 22 2014 bb <bb> 2.1.2-4pclos2014
- rebuild for new wxsvg

* Fri Nov 21 2014 bb <bb> 2.1.2-3pclos2014
- rebuild new ffmpeg

* Mon Mar 24 2014 bb <bb> 2.1.2-2pclos2014
- rebuild for new ffmpeg 2.2
